# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%bcond_without mead

%if "%{?rhel}" == "6"
%if %with mead
%bcond_with repolib
%else
%bcond_without repolib
%endif
%else
%bcond_with repolib
%endif

%global reltag .Beta2_redhat_2
%global namedversion %{version}.Beta2-redhat-2

%define maven_version 1.0.0.Beta2-redhat-2

Name:           jboss-specs-parent
Version:        1.0.0
Release:        5%{reltag}%{?dist}
Epoch:          0
Summary:        JBoss Specification API Parent POM
License:        LGPLv2+
Group:          Development/Java

%if %with mead
Source100: org.jboss.spec-jboss-specs-parent-1.0.0.Beta2-redhat-2-sources.zip
Source101: org.jboss.spec-jboss-specs-parent-1.0.0.Beta2-redhat-2-patches.zip
Source102: jboss-specs-parent-1.0.0.Beta2-redhat-2.pom
%endif

URL:            http://fisheye.jboss.org/browse/JBossAS/projects/specs/tags/jboss-specs-parent-1.0.0.Beta2
%if %without mead
# svn export http://anonsvn.jboss.org/repos/jbossas/projects/specs/tags/jboss-specs-parent-1.0.0.Beta2 && tar cjf jboss-specs-parent-1.0.0.Beta2.tar.bz2 jboss-specs-parent-1.0.0.Beta2
# Exported revision 110647.
Source0:	    jboss-specs-parent-1.0.0.Beta2.tar.bz2
Patch0:         jboss-specs-parent-vman-pom.patch
%endif

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
#Requires:       jboss-parent >= 0:6
#Requires:       jboss-component-management

%if %without mead
BuildRequires:  jboss-parent >= 0:6
BuildRequires:  jboss-component-management
BuildRequires:  jpackage-utils
BuildRequires:  maven2-plugin-deploy
%endif

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Parent POM that allows building all specification projects at once.

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java


%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%if %without mead
%setup -q -n jboss-specs-parent-%{version}.Beta2
%patch0 -p1
%endif

%build
%if 0
export MAVEN_REPO_LOCAL=`pwd`/m2_repo/repository
export ALT_DEPLOYMENT_REPOSITORY=jboss-releases::default::file:`pwd`/maven2-brew
%{_bindir}/mvn-jpp -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -DaltDeploymentRepository=${ALT_DEPLOYMENT_REPOSITORY} deploy
%endif

%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_datadir}/maven2/poms
%if %without mead
%{__cp} -p pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-jboss-specs-parent.pom
%else
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-jboss-specs-parent.pom
%endif
%add_to_maven_depmap org.jboss.spec jboss-specs-parent %{namedversion} JPP/%{name} jboss-specs-parent

%if %with repolib
%{__mkdir_p} %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew/org/jboss/spec/jboss-specs-parent/%{namedversion}
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-jboss-specs-parent.pom %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew/org/jboss/spec/jboss-specs-parent/%{namedversion}/jboss-specs-parent-%{namedversion}.pom
%endif

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_datadir}/maven2/poms/JPP.%{name}-jboss-specs-parent.pom
%{_mavendepmapfragdir}/%{name}

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}*
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-5.Beta2_redhat_2
- Rebuild for MD5

* Mon Aug 20 2012 Honza Brazdil <jbrazdil@redhat.com> - 0:1.0.0-4.Beta2_redhat_2
- Update pom patch for eap 6.0.1

* Sun Aug 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-3.Beta2_redhat_2.1
- Rebuild unsigned

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-3.Beta2_redhat_2
- Bump suffix number

* Tue Jun 19 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.0-2.Beta2_redhat_1
- Build in MEAD

* Wed Feb 01 2012 Fernando Nasser <fnasser@redhat.com> 0:1.0.0-1.Beta2_redhat_1.1
- Remove parent and BOM as run-time dependencies

* Tue Jan 31 2012 Hui Wang <huwang@redhat.com> 0:1.0.0-1.Beta2_redhat_1
- Update pom patch
- BR/R jboss-component-management

* Wed Aug 31 2011 Hui Wang <huwang@redhat.com> 0:1.0.0-0.9.Beta2_redhat_1
- Use the latest vman to patch pom

* Fri Aug 19 2011 Hui Wang <huwang@redhat.com> 0:1.0.0-0.8.Beta2_redhat_1
- Change version from 1.0.0.GA.Beta2 to 1.0.0.GA.Beta2-redhat-1

* Fri Aug 19 2011 Hui Wang <huwang@redhat.com> 0:1.0.0-0.7.Beta2_redhat_1
- Use vman to patch pom

* Tue Jul 26 2011 David Walluck <dwalluck@redhat.com> 0:1.0.0-0.6.Beta2
- change jboss-parent version from 6 to 6-redhat-1

* Wed Jul 13 2011 David Walluck <dwalluck@redhat.com> 0:1.0.0-0.5.Beta2
- (Build)Requires: jboss-parent >= 0:6
- change version of jboss-parent from 5 to 6 in pom.xml
- don't set version of maven-release-plugin in pom.xml
- fix macro scopes

* Thu Jul 07 2011 David Walluck <dwalluck@redhat.com> 0:1.0.0-0.4.Beta2
- (Build)Requires: jboss-parent >= 0:4

* Tue Feb 15 2011 David Walluck <dwalluck@redhat.com> 0:1.0.0-0.3.Beta2
- patch jboss-parent version to 4 (from 5)

* Mon Feb 14 2011 David Walluck <dwalluck@redhat.com> 0:1.0.0-0.2.Beta2
- fix spec file name

* Fri Feb 11 2011 David Walluck <dwalluck@redhat.com> 0:1.0.0-0.1.Beta2
- release
